<div class="auth-main">
  <div class="auth-block">
    <h1>Sign up to Gctportal</h1>

    <div *ngIf="!submitted">
    <a routerLink="/login" class="auth-link">Already have an Gct Portal account? Sign in!</a>
    <div class="form-group row">
      <div class="col-sm-2 control-label">
         You are </div>
      <div class="col-sm-10">
      <button class="btn btn-default btn-md" style="cursor:pointer;" (click)="toggle()">{{toggleS ? "Student" : "Staff"}}</button>
      </div>
    </div>
    <form [formGroup]="form" (ngSubmit)="onSubmit(form.value)" class="form-horizontal">

      <div class="form-group row" [ngClass]="{'has-error': ((!email.valid && email.touched)|| emailerr), 'has-success': (email.valid && email.touched)}">
        <label for="inputEmail3" class="col-sm-2 control-label">Email</label>

        <div class="col-sm-10">
          <input [formControl]="email" type="email" class="form-control" id="inputEmail3" placeholder="Email">
          <span class="help-block sub-little-text" *ngIf="emailerr">{{this.error.email}}</span>
        </div>
      </div>


      <div class="form-group row" [ngClass]="{'has-error': ((!password.valid && password.touched)||passerr), 'has-success': (password.valid && password.touched)}">
        <label for="inputPassword3" class="col-sm-2 control-label">Password</label>

        <div class="col-sm-10">
          <input [formControl]="password" type="password" class="form-control" id="inputPassword3" placeholder="Password">
        </div>
      </div>
      <div class="form-group row" [ngClass]="{'has-error': ((!repeatPassword.valid && repeatPassword.touched)||passerr), 'has-success': (repeatPassword.valid && repeatPassword.touched)}">
        <label for="inputPassword4" class="col-sm-2 control-label">Repeat</label>

        <div class="col-sm-10">
          <input [formControl]="repeatPassword" type="password" class="form-control" id="inputPassword4" placeholder="Repeat">
          <span *ngIf="!passwords.valid && (password.touched || repeatPassword.touched)" class="help-block sub-little-text">Passwords don't match.<br></span>
          <span class="help-block sub-little-text" *ngIf="passerr" >{{this.error.password}}</span>
        </div>
      </div>
      <div class="form-group row" [ngClass]="{'has-error': (!repeatPassword.valid && repeatPassword.touched), 'has-success': (repeatPassword.valid && repeatPassword.touched)}">
      </div>




      <div class="form-group row">
        <div class="offset-sm-2 col-sm-10">
          <button [disabled]="!form.valid" type="submit" class="btn btn-default btn-auth">Sign up</button>
        </div>
      </div>
    </form>

    </div>
    <div *ngIf="submitted&&!errorbool">
      <h1>Verify Email ID</h1>
      <p class="text-center">An email has been sent to your mail id. Please Verify it.</p>
    </div>


    </div>
</div>
